com.amazon.redshift.fastpath

## Class FastpathArg

- java.lang.Object
- - com.amazon.redshift.fastpath.FastpathArg

Deprecated.
This API is somewhat obsolete, as one may achieve similar performance and greater functionality by setting up a prepared statement to define the function call. Then, executing the statement with binary transmission of parameters and results substitutes for a fast-path function call.

    @Deprecated
    public class FastpathArg
    extends Object

Each fastpath call requires an array of arguments, the number and type dependent on the function being called.

### Constructor Summary

Constructors
Constructor and Description
`FastpathArg(byte[] bytes)` Deprecated. Constructs an argument that consists of an array of bytes.
`FastpathArg(byte[] buf, int off, int len)` Deprecated. Constructs an argument that consists of part of a byte array.
`FastpathArg(int value)` Deprecated. Constructs an argument that consists of an integer value.
`FastpathArg(long value)` Deprecated. Constructs an argument that consists of an integer value.
`FastpathArg(String s)` Deprecated. Constructs an argument that consists of a String.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastpathArg

    public FastpathArg(int value)

Deprecated.
Constructs an argument that consists of an integer value.

Parameters:
  `value` - int value to set

#### FastpathArg

    public FastpathArg(long value)

Deprecated.
Constructs an argument that consists of an integer value.

Parameters:
  `value` - int value to set

#### FastpathArg

    public FastpathArg(byte[] bytes)

Deprecated.
Constructs an argument that consists of an array of bytes.

Parameters:
  `bytes` - array to store

#### FastpathArg

    public FastpathArg(byte[] buf,
                       int off,
                       int len)

Deprecated.
Constructs an argument that consists of part of a byte array.

Parameters:
  `buf` - source array
  `off` - offset within array
  `len` - length of data to include

#### FastpathArg

    public FastpathArg(String s)

Deprecated.
Constructs an argument that consists of a String.

Parameters:
  `s` - String to store